.TH QUASSEL "1" "January 2022" "quassel v0.14.0 (dist-da9c1c9)" "User Commands"
.SH NAME
quassel \- manual page for quassel v0.14.0 (dist-da9c1c9)
.SH SYNOPSIS
.B quasselcore
[\fI\,options\/\fR]
.SH DESCRIPTION
Quassel IRC is a modern, distributed IRC client.  One (or multiple) client(s)
can attach to and detach from a central core -- much like the popular
combination of screen and a text-based IRC client such as WeeChat, but
graphical.
.PP
\fBquasselcore\fR provides the daemon which connects to IRC networks, allowing
any number of Quassel clients to connect, including the official desktop
client, the \fBquasselclient\fR program.

.SH OPTIONS
.TP
\fB\-c\fR, \fB\-\-configdir\fR <path>
Specify the directory holding
configuration files, the SQlite
database and the SSL certificate.
.TP
\fB\-\-listen\fR <<address>[,<address>[,...]]>
The address(es) quasselcore will
listen on.
.TP
\fB\-p\fR, \fB\-\-port\fR <port>
The port quasselcore will listen
at.
.TP
\fB\-n\fR, \fB\-\-norestore\fR
Don't restore last core's state.
.TP
\fB\-\-config\-from\-environment\fR
Load configuration from
environment variables.
.TP
\fB\-\-select\-backend\fR <backendidentifier>
Switch storage backend
(migrating data if possible).
.TP
\fB\-\-select\-authenticator\fR <authidentifier>
Select authentication backend.
.TP
\fB\-\-add\-user\fR
Starts an interactive session to
add a new core user.
.TP
\fB\-\-change\-userpass\fR <username>
Starts an interactive session to
change the password of the user
identified by <username>.
.TP
\fB\-\-strict\-ident\fR
Use users' quasselcore username
as ident reply. Ignores each
user's configured ident setting.
.TP
\fB\-\-ident\-daemon\fR
Enable internal ident daemon.
.TP
\fB\-\-ident\-port\fR <port>
The port quasselcore will listen
at for ident requests. Only
meaningful with \fB\-\-ident\-daemon\fR.
.TP
\fB\-\-ident\-listen\fR <<address>[,...]>
The address(es) quasselcore will
listen on for ident requests.
Same format as \fB\-\-listen\fR.
.TP
\fB\-\-oidentd\fR
Enable oidentd integration. In
most cases you should also enable
\fB\-\-strict\-ident\fR.
.TP
\fB\-\-oidentd\-conffile\fR <file>
Set path to oidentd
configuration file.
.TP
\fB\-\-proxy\-cidr\fR <<address>[,...]>
Set IP range from which proxy
protocol definitions are allowed
.TP
\fB\-\-require\-ssl\fR
Require SSL for remote
(non\-loopback) client
connections.
.TP
\fB\-\-ssl\-cert\fR <path>
Specify the path to the SSL
certificate.
.TP
\fB\-\-ssl\-key\fR <path>
Specify the path to the SSL key.
.TP
\fB\-\-metrics\-daemon\fR
Enable metrics API.
.TP
\fB\-\-metrics\-port\fR <port>
The port quasselcore will listen
at for metrics requests. Only
meaningful with \fB\-\-metrics\-daemon\fR.
.TP
\fB\-\-metrics\-listen\fR <<address>[,...]>
The address(es) quasselcore will
listen on for metrics requests.
Same format as \fB\-\-listen\fR.
.TP
\fB\-L\fR, \fB\-\-loglevel\fR <level>
Supports one of
Debug|Info|Warning|Error; default
is Info.
.TP
\fB\-l\fR, \fB\-\-logfile\fR <path>
Log to a file.
.TP
\fB\-\-syslog\fR
Log to syslog.
.TP
\fB\-d\fR, \fB\-\-debug\fR
Enable debug output.
.TP
\fB\-\-debug\-irc\fR
Enable logging of all raw IRC
messages to debug log, including
passwords!  In most cases you
should also set \fB\-\-loglevel\fR Debug
.TP
\fB\-\-debug\-irc\-id\fR <database network ID>
Limit raw IRC logging to this
network ID.  Implies \fB\-\-debug\-irc\fR
.TP
\fB\-\-debug\-irc\-parsed\fR
Enable logging of all parsed IRC
messages to debug log, including
passwords!  In most cases you
should also set \fB\-\-loglevel\fR Debug
.TP
\fB\-\-debug\-irc\-parsed\-id\fR <database network ID>
Limit parsed IRC logging to this
network ID.  Implies
\fB\-\-debug\-irc\-parsed\fR
.TP
\fB\-h\fR, \fB\-\-help\fR
Displays help on commandline
options.
.TP
\fB\-\-help\-all\fR
Displays help including Qt
specific options.
.TP
\fB\-v\fR, \fB\-\-version\fR
Displays version information.

.SH AUTHORS
The full list of Quassel IRC authors and contributors may be seen in
quasselclient's About window.
.PP
This manual page was written by Thomas Mueller
<thomas.mueller@tmit.eu> and updated by Shane Synan
<digitalcircuit36939+deb@gmail.com> and Scott Kitterman <scott@kitterman.com>
(with the assitance of help2man), for the Debian GNU/Linux system (but may be
used by others).  Permission is granted to copy, distribute and/or modify this
document under the terms of the GNU General Public License version 2 or any
later version published by the Free Software Foundation.
.SH "SEE ALSO"
The full documentation for
.B quassel
is maintained as a Texinfo manual.  If the
.B info
and
.B quassel
programs are properly installed at your site, the command
.IP
.B info quassel
.PP
should give you access to the complete manual.
